Package io.dapr.client.domain

# Class UnlockRequest

java.lang.Object
io.dapr.client.domain.UnlockRequest

All Implemented Interfaces:
  `Serializable`

public class UnlockRequest extends Object implements Serializable
A request to unlock.

See Also:
  - Serialized Form

## Constructor Summary

Constructors
Constructor
Description
`UnlockRequest(String storeName, String resourceId, String lockOwner)`
Constructor for UnlockRequest.

## Method Summary

Modifier and Type
Method
Description
`String`
`getLockOwner()`
`String`
`getResourceId()`
`String`
`getStoreName()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### UnlockRequest

public UnlockRequest(String storeName, String resourceId, String lockOwner)
Constructor for UnlockRequest.

Parameters:
  `storeName` - Name of the store
  `resourceId` - Lock key
  `lockOwner` - The identifier of lock owner.

## Method Details

### getStoreName

public String getStoreName()

### getResourceId

public String getResourceId()

### getLockOwner

public String getLockOwner()